# Увеличение размера раздела на диске

Имея несколько VPS серверов на Ubuntu, сталкнулся с проблемой, когда стало не хватать места. Перешел на более жирный тариф с большим размером диска. Но вот незадача, размер диска стал больше, а раздел остался того же размера. 

Было 30 Гб, раздел `sda1`, надо добавить 20Гб. Доступа в resque нет, так что нужно делать без перезагрузки.

Решение проблемы оказалось простым: используя **fdisk**, **partprobe** и **resize2fs** -  изменить размер раздела.

!!! warning

    Перед тем как начать, делаем бекап всей важной информации!

## fdisk - пересоздаем раздел

Первым делом посмотрим какие диски у нас есть в системе и удостоверимся, что будет работать с нужным диском. А то мало ли..

```
sudo fdisk -l
```

Теперь надо удалить текущий раздел диска на 30 гигов и создать новый на 50:
  
```
sudo fdisk /dev/sda
```

Внутри интерактивного режима программы **fdisk** выполняем несколько операций:

1. Сначала вбиваем `p` - вывод таблицы разделов
2. Затем `d` удаление раздела
3. Далее `n` добавление нового раздела  
4. Далее указываем какой будет создаваемый раздел 
    `e` расширенный
    `p` основной раздел (1-4)
    Указываем как основной раздел, вводим `p`
5. Номер раздела (`1-4`, по умолчанию `1`):
6. Первый сектор (2048-1048575999, по умолчанию 2048)
7. Последний сектор или прото enter, если используем весь диск
8. После всех проделанных действий вводим `w` что означает сохранить настройки и выйти.

## partprobe - обновление таблицы раздела

Далее надо обновить таблицу раздела онлайн, используя **partprobe**. Если программки нет, то нужно установить её (`sudo apt-get install partprobe`).

```
sudo partprobe /dev/sda
```
  
## resize2fs - переопределение рамзера раздела

Теперь осталось переопределить размер раздела с помощью программы **resize2fs**. Она сделает это в режиме онлайн. Программа **resize2fs** перезапишет метаданные файловой системы. Для этого используем следующую команду:  
  
```
sudo resize2fs /dev/sda1
```

Теперь убедимся, что размер раздела изменился и теперь у нас 50 Гб.

```
df -h
```